Issue 122140 - [sidebar]text panel-can't set other underline style by side bar.
[sidebar]text panel-can't set other underline style by side bar.
Status: RESOLVED FIXED
Product: Calc
Classification: Application
Component: editing
4.0.0-dev
All All
: P3 normal (vote)
: 4.0.0
Assigned To: Oliver-Rainer Wittmann
:
Depends on:
Blocks: [sidebar]
  Show dependency treegraph
 
Reported: 2013-04-23 06:40 UTC by Du Jing
Modified: 2013-05-03 10:10 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
patch to add a "none" entry into the underline style drop-down-list (11.25 KB, patch)
2013-05-03 06:32 UTC, Oliver-Rainer Wittmann
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Du Jing 2013-04-23 06:40:09 UTC
Trunk build: r1413470

steps:
1.new a spreadsheet
2.focus on a cell and keep in editing status
3.input some text in the cell
4.select the all text in the cell and set underline style via side bar(no default underline)

defect:
can't set no default underline style.
Comment 1 Armin Le Grand 2013-04-30 13:54:23 UTC
ALG: 'None' is indeed missing, can be reached using the 'more options' entry in the same popup dialog.

BTW: Exactly the same in Symphony.
Comment 2 Oliver-Rainer Wittmann 2013-05-02 10:43:30 UTC
The underline style can be set to 'None' by clicking just the underline control without opening the drop-down-menu.
--> resolving issue as invalid as the underline style can be set to 'None'

See also bug 122105 for setting certain underline styles.
Comment 3 Armin Le Grand 2013-05-02 10:54:11 UTC
ALG: I think that this is too 'hidden' for the normal user and also inconsistent with the rest of the DropDowns where you normally have a 'none' option. I did not guess this possible interaction and I would bet that many others would not guess it, too. Let's think about adding a 'none' entry, please.
Comment 4 Oliver-Rainer Wittmann 2013-05-02 11:05:29 UTC
ok, let us introduce a 'None' entry into the drop-down-list

--> changing issue type to enhancement
Comment 5 Armin Le Grand 2013-05-02 11:28:25 UTC
ALG: I also had the effect that when directly klicking the underline button in the sidebar that the strikethrough button (directly to the right from it) was triggered. I hope this was due to my local build...
Comment 6 Oliver-Rainer Wittmann 2013-05-02 12:10:44 UTC
(In reply to comment #5)
> ALG: I also had the effect that when directly klicking the underline button
> in the sidebar that the strikethrough button (directly to the right from it)
> was triggered. I hope this was due to my local build...

No, this is bug 122182 - already fixed on trunk
Comment 7 Oliver-Rainer Wittmann 2013-05-03 06:32:23 UTC
Created attachment 80629 [details]
patch to add a "none" entry into the underline style drop-down-list
Comment 8 SVN Robot 2013-05-03 10:08:07 UTC
"orw" committed SVN revision 1478703 into trunk:
122140: add 'None' entry to underline style drop-down-list in text property p...
Comment 9 Oliver-Rainer Wittmann 2013-05-03 10:10:26 UTC
resolve on trunk for AOO 4.0